{ ... }: {
  flake.homeManagerModules.wisdomFilebrowsersDolphin =
    { config, lib, pkgs, ... }:
    let
      root = config.chiasson.home;
      cfg = root.filebrowsers.dolphin;
    in
    {
      options.chiasson.home.filebrowsers.dolphin.enable = lib.mkEnableOption "Dolphin + declarative dolphinrc.";

      config = lib.mkIf (root.enable && cfg.enable) {
        home.packages = [ pkgs.kdePackages.dolphin ];

        xdg.configFile."dolphinrc".text = ''
          [ContentDisplay]
          UsePermissionsFormat=CombinedFormat

          [General]
          StartupPath=~
          DoubleClickViewAction=show_hidden_files
          ShowFullPath=true
          ShowFullPathInTitlebar=true
          ShowStatusBar=FullWidth
          UseTabForSwitchingSplitView=true
          Version=202
          ViewPropsTimestamp=2025,11,17,23,21,57.762

          [KFileDialog Settings]
          Places Icons Auto-resize=false
          Places Icons Static Size=22

          [MainWindow]
          MenuBar=Disabled
          ToolBarsMovable=Disabled

          [PreviewSettings]
          Plugins=appimagethumbnail,audiothumbnail,blenderthumbnail,comicbookthumbnail,cursorthumbnail,djvuthumbnail,ebookthumbnail,exrthumbnail,directorythumbnail,fontthumbnail,imagethumbnail,jpegthumbnail,kraorathumbnail,windowsexethumbnail,windowsimagethumbnail,mobithumbnail,opendocumentthumbnail,gsthumbnail,rawthumbnail,svgthumbnail,ffmpegthumbs

          [IconsMode]
          IconSize=48
          PreviewSize=48
          TextLines=2
          UseThumbnails=true

          [DetailsMode]
          FontWeight=50
          HighlightEntireRow=true

          [ViewProperties]
          Mode=1
          ColumnWidths=50,50,50,50,50,50,50,50,50,50
          SortColumn=0
          SortOrder=0
          SortFoldersFirst=true
          SortHiddenLast=false
          SortCaseSensitively=false
          ShowPreviews=true
          ShowInGroups=false
          ShowFoldersFirst=true
          ShowHiddenFilesLast=false
          NaturalSorting=true

          [ContextMenu]
          ShowCopyToMenu=true
          ShowMoveToMenu=true

          [Search]
          Location=Everywhere

          [SettingsWindow]
          SidebarWidth=180
          SplitterState=AAAA/wAAAAD9AAAAAAAAAAAAAAABAAAAAQAAAAEAAAAAQAAAAEAAAAA=
        '';
      };
    };
}
